{{ "VRFs" | comment }}

{% for vrf in devices[inventory_hostname].vrfs %}
auto {{ vrf }}
iface {{ vrf }}
    vrf-table auto
{% if devices[inventory_hostname].vrfs[vrf] is defined %}
{% if devices[inventory_hostname].vrfs[vrf].ipv4 is defined %}
    address {{ devices[inventory_hostname].vrfs[vrf].ipv4 }}
{% endif %}
{% if devices[inventory_hostname].vrfs[vrf].ipv6 is defined %}
    address {{ devices[inventory_hostname].vrfs[vrf].ipv6 }}
{% endif %}
{% if devices[inventory_hostname].routing.pim.vrf[vrf].rp is defined %}
{% if devices[inventory_hostname].routing.pim.vrf[vrf].rp %}
{% endif %}
{% endif %}
{% endif %}
{% endfor %}
